﻿@using DP.Common.Utilities;
@using DP.Common.Enums;
@model List<DP.Common.Models.Administration.SubscriberViewModel>
<div class="row">
    @foreach (var m in Model)
    {
        var isPlanActive = (m.Active == 0 || m.Active == (int)UserStatus.Deactive) ? false : true;

        <div class="col-md-4 subscriber-panel-item">
            <div class="panel panel-default panel-subscriber panel-subscriber-doctor">
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-8 col-xs-6">
                            <h4 class="subscriber-name">@m.Name</h4>
                            <h5>@m.Location</h5>
                            <h5>@m.Email</h5>
                        </div>
                        <div class="col-md-4 image-col col-xs-6">
                            <img class="image img-circle" src="@m.ImageUrl" alt="no image"/>
                            @if (m.StartDate.HasValue && m.EnableFeatured == true)
                            {
                                <i class="fa fa-star featured"></i>
                            }
                        </div>
                    </div>
                    <div class="row details">
                        <div class="col-md-6 col-xs-6">
                            <table>
                                <tr>
                                    <td>Recommendations</td>
                                    <td class="padder"></td>
                                    <td>@m.RecommendationCount</td>
                                </tr>
                                <tr>
                                    <td>Ratings</td>
                                    <td class="padder"></td>
                                    <td>@m.RatingCount</td>
                                </tr>                               
                                <tr>
                                    <td>Basic</td>
                                    <td class="padder"></td>
                                    <td>
                                        @if (m.EnableBasic)
                                        {
                                            <i class="fa fa-check fa-lg green-glow"></i>
                                        }
                                        else
                                        {
                                            <i class="fa fa-close fa-lg red-glow"></i>
                                        }
                                        </td>
                                </tr>
                                <tr>
                                    <td>Textual</td>
                                    <td class="padder"></td>
                                    <td>
                                        @if (m.EnableTextual)
                                        {
                                            <i class="fa fa-check fa-lg green-glow"></i>
                                        }
                                        else
                                        {
                                            <i class="fa fa-close fa-lg red-glow"></i>
                                        }
                                    </td>
                                </tr>
                                <tr>
                                    <td>Zonal</td>
                                    <td class="padder"></td>
                                    <td>
                                        @if (m.EnableFeatured)
                                        {
                                            <i class="fa fa-check fa-lg green-glow"></i>
                                        }
                                        else
                                        {
                                            <i class="fa fa-close fa-lg red-glow"></i>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div class="col-md-6 col-xs-6">
                            <table cellpadding="2">
                                <tr>
                                    <td>Plan</td>
                                    <td class="padder"></td>
                                    <td>
                                        @if (m.Active == 0 || m.Active == 5)
                                        {
                                            <i class="fa fa-close fa-lg red-glow"></i><span> Deactive</span>
                                        }
                                        else
                                        {
                                            <i class="fa fa-check fa-lg green-glow"></i><span> Active</span>
                                        }
                                    </td>
                                </tr>
                                <tr>
                                    <td>User</td>
                                    <td class="padder"></td>
                                    <td>
                                        @if (m.IsTerminated == false)
                                        {
                                            <i class="fa fa-check fa-lg green-glow"></i><span> Active</span>
                                        }
                                        else
                                        {
                                            <i class="fa fa-close fa-lg red-glow"></i><span> Deactive</span>
                                        }
                                       
                                    </td>
                                </tr>
                                <tr>
                                    <td>Start Date</td>
                                    <td class="padder"></td>
                                    <td>
                                        @if (m.StartDate != null && m.StartDate.HasValue)
                                        {
                                            <span>@m.StartDate.Value.ToString("dd-MMM-yyyy")</span>
                                        }
                                    </td>
                                </tr>
                                <tr>
                                    <td>End Date</td>
                                    <td class="padder"></td>
                                    <td>
                                        @if (m.EndDate != null && m.EndDate.HasValue)
                                        {
                                            <span>@m.EndDate.Value.ToString("dd-MMM-yyyy")</span>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="panel-footer text-center">
                    @Html.ActionLink("View", "details", "user", new { id = @m.UserId, type = (int)@m.UserType }, new { @class = "btn-view" })
                </div>
            </div>
        </div>
    }
</div>
